-- ************************************************************
-- Basic Inserters
-- ************************************************************

basic_near=util.table.deepcopy(data.raw["inserter"]["basic-inserter"])
basic_near.name = "basic-inserter-near"
basic_near.icon = "__Near Inserters__/graphics/icons/basic-inserter-near.png"
basic_near.insert_position = {0, NEAR_INSERT_POSITION}
basic_near.hand_closed_picture.filename = "__Near Inserters__/graphics/entity/basic-inserter-hand-closed-near.png"
basic_near.hand_open_picture.filename = "__Near Inserters__/graphics/entity/basic-inserter-hand-open-near.png"
basic_near.minable.result = "basic-inserter-near"

if SIDE_INSERTERS then
basic_left_near=util.table.deepcopy(data.raw["inserter"]["basic-inserter-left"])
basic_left_near.name = "basic-inserter-left-near"
basic_left_near.icon = "__Near Inserters__/graphics/icons/basic-inserter-left-near.png"
basic_left_near.insert_position = {NEAR_INSERT_POSITION, 0}
basic_left_near.hand_closed_picture.filename = "__Near Inserters__/graphics/entity/basic-inserter-hand-closed-near.png"
basic_left_near.hand_open_picture.filename = "__Near Inserters__/graphics/entity/basic-inserter-hand-open-near.png"
basic_left_near.minable.result = "basic-inserter-left-near"

basic_right_near=util.table.deepcopy(data.raw["inserter"]["basic-inserter-right"])
basic_right_near.name = "basic-inserter-right-near"
basic_right_near.icon = "__Near Inserters__/graphics/icons/basic-inserter-right-near.png"
basic_right_near.insert_position = {0-NEAR_INSERT_POSITION, 0}
basic_right_near.hand_closed_picture.filename = "__Near Inserters__/graphics/entity/basic-inserter-hand-closed-near.png"
basic_right_near.hand_open_picture.filename = "__Near Inserters__/graphics/entity/basic-inserter-hand-open-near.png"
basic_right_near.minable.result = "basic-inserter-right-near"
end
-- ************************************************************
-- Burner Inserters
-- ************************************************************

burner_near=util.table.deepcopy(data.raw["inserter"]["burner-inserter"])
burner_near.name = "burner-inserter-near"
burner_near.icon = "__Near Inserters__/graphics/icons/burner-inserter-near.png"
burner_near.insert_position = {0, NEAR_INSERT_POSITION}
burner_near.hand_closed_picture.filename = "__Near Inserters__/graphics/entity/burner-inserter-hand-closed-near.png"
burner_near.hand_open_picture.filename = "__Near Inserters__/graphics/entity/burner-inserter-hand-open-near.png"
burner_near.minable.result = "burner-inserter-near"

if SIDE_INSERTERS then
burner_left_near=util.table.deepcopy(data.raw["inserter"]["burner-inserter-left"])
burner_left_near.name = "burner-inserter-left-near"
burner_left_near.icon = "__Near Inserters__/graphics/icons/burner-inserter-left-near.png"
burner_left_near.insert_position = {NEAR_INSERT_POSITION, 0}
burner_left_near.hand_closed_picture.filename = "__Near Inserters__/graphics/entity/burner-inserter-hand-closed-near.png"
burner_left_near.hand_open_picture.filename = "__Near Inserters__/graphics/entity/burner-inserter-hand-open-near.png"
burner_left_near.minable.result = "burner-inserter-left-near"

burner_right_near=util.table.deepcopy(data.raw["inserter"]["burner-inserter-right"])
burner_right_near.name = "burner-inserter-right-near"
burner_right_near.icon = "__Near Inserters__/graphics/icons/burner-inserter-right-near.png"
burner_right_near.insert_position = {0-NEAR_INSERT_POSITION, 0}
burner_right_near.hand_closed_picture.filename = "__Near Inserters__/graphics/entity/burner-inserter-hand-closed-near.png"
burner_right_near.hand_open_picture.filename = "__Near Inserters__/graphics/entity/burner-inserter-hand-open-near.png"
burner_right_near.minable.result = "burner-inserter-right-near"
end

-- ************************************************************
-- Fast Inserters
-- ************************************************************

fast_near=util.table.deepcopy(data.raw["inserter"]["fast-inserter"])
fast_near.name = "fast-inserter-near"
fast_near.icon = "__Near Inserters__/graphics/icons/fast-inserter-near.png"
fast_near.insert_position = {0, NEAR_INSERT_POSITION}
fast_near.hand_closed_picture.filename = "__Near Inserters__/graphics/entity/fast-inserter-hand-closed-near.png"
fast_near.hand_open_picture.filename = "__Near Inserters__/graphics/entity/fast-inserter-hand-open-near.png"
fast_near.minable.result = "fast-inserter-near"

if SIDE_INSERTERS then
fast_left_near=util.table.deepcopy(data.raw["inserter"]["fast-inserter-left"])
fast_left_near.name = "fast-inserter-left-near"
fast_left_near.icon = "__Near Inserters__/graphics/icons/fast-inserter-left-near.png"
fast_left_near.insert_position = {NEAR_INSERT_POSITION, 0}
fast_left_near.hand_closed_picture.filename = "__Near Inserters__/graphics/entity/fast-inserter-hand-closed-near.png"
fast_left_near.hand_open_picture.filename = "__Near Inserters__/graphics/entity/fast-inserter-hand-open-near.png"
fast_left_near.minable.result = "fast-inserter-left-near"

fast_right_near=util.table.deepcopy(data.raw["inserter"]["fast-inserter-right"])
fast_right_near.name = "fast-inserter-right-near"
fast_right_near.icon = "__Near Inserters__/graphics/icons/fast-inserter-right-near.png"
fast_right_near.insert_position = {0-NEAR_INSERT_POSITION, 0}
fast_right_near.hand_closed_picture.filename = "__Near Inserters__/graphics/entity/fast-inserter-hand-closed-near.png"
fast_right_near.hand_open_picture.filename = "__Near Inserters__/graphics/entity/fast-inserter-hand-open-near.png"
fast_right_near.minable.result = "fast-inserter-right-near"
end

-- ************************************************************
-- Long-Handed Inserters
-- ************************************************************

long_handed_near=util.table.deepcopy(data.raw["inserter"]["long-handed-inserter"])
long_handed_near.name = "long-handed-inserter-near"
long_handed_near.icon = "__Near Inserters__/graphics/icons/long-handed-inserter-near.png"
long_handed_near.insert_position = {0, LONG_NEAR_INSERT_POSITION}
long_handed_near.hand_closed_picture.filename = "__Near Inserters__/graphics/entity/long-handed-inserter-hand-closed-near.png"
long_handed_near.hand_open_picture.filename = "__Near Inserters__/graphics/entity/long-handed-inserter-hand-open-near.png"
long_handed_near.minable.result = "long-handed-inserter-near"

if SIDE_INSERTERS then
long_handed_left_near=util.table.deepcopy(data.raw["inserter"]["long-handed-inserter-left"])
long_handed_left_near.name = "long-handed-inserter-left-near"
long_handed_left_near.icon = "__Near Inserters__/graphics/icons/long-handed-inserter-left-near.png"
long_handed_left_near.insert_position = {LONG_NEAR_INSERT_POSITION, 0}
long_handed_left_near.hand_closed_picture.filename = "__Near Inserters__/graphics/entity/long-handed-inserter-hand-closed-near.png"
long_handed_left_near.hand_open_picture.filename = "__Near Inserters__/graphics/entity/long-handed-inserter-hand-open-near.png"
long_handed_left_near.minable.result = "long-handed-inserter-left-near"

long_handed_right_near=util.table.deepcopy(data.raw["inserter"]["long-handed-inserter-right"])
long_handed_right_near.name = "long-handed-inserter-right-near"
long_handed_right_near.icon = "__Near Inserters__/graphics/icons/long-handed-inserter-right-near.png"
long_handed_right_near.insert_position = {0-LONG_NEAR_INSERT_POSITION, 0}
long_handed_right_near.hand_closed_picture.filename = "__Near Inserters__/graphics/entity/long-handed-inserter-hand-closed-near.png"
long_handed_right_near.hand_open_picture.filename = "__Near Inserters__/graphics/entity/long-handed-inserter-hand-open-near.png"
long_handed_right_near.minable.result = "long-handed-inserter-right-near"
end

-- ************************************************************
-- Smart Inserters
-- ************************************************************

smart_near=util.table.deepcopy(data.raw["inserter"]["smart-inserter"])
smart_near.name = "smart-inserter-near"
smart_near.icon = "__Near Inserters__/graphics/icons/smart-inserter-near.png"
smart_near.insert_position = {0, NEAR_INSERT_POSITION}
smart_near.hand_closed_picture.filename = "__Near Inserters__/graphics/entity/smart-inserter-hand-closed-near.png"
smart_near.hand_open_picture.filename = "__Near Inserters__/graphics/entity/smart-inserter-hand-open-near.png"
smart_near.minable.result = "smart-inserter-near"

if SIDE_INSERTERS then
smart_left_near=util.table.deepcopy(data.raw["inserter"]["smart-inserter-left"])
smart_left_near.name = "smart-inserter-left-near"
smart_left_near.icon = "__Near Inserters__/graphics/icons/smart-inserter-left-near.png"
smart_left_near.insert_position = {NEAR_INSERT_POSITION, 0}
smart_left_near.hand_closed_picture.filename = "__Near Inserters__/graphics/entity/smart-inserter-hand-closed-near.png"
smart_left_near.hand_open_picture.filename = "__Near Inserters__/graphics/entity/smart-inserter-hand-open-near.png"
smart_left_near.minable.result = "smart-inserter-left-near"

smart_right_near=util.table.deepcopy(data.raw["inserter"]["smart-inserter-right"])
smart_right_near.name = "smart-inserter-right-near"
smart_right_near.icon = "__Near Inserters__/graphics/icons/smart-inserter-right-near.png"
smart_right_near.insert_position = {0-NEAR_INSERT_POSITION, 0}
smart_right_near.hand_closed_picture.filename = "__Near Inserters__/graphics/entity/smart-inserter-hand-closed-near.png"
smart_right_near.hand_open_picture.filename = "__Near Inserters__/graphics/entity/smart-inserter-hand-open-near.png"
smart_right_near.minable.result = "smart-inserter-right-near"
end

data:extend(
{
  basic_near,
  burner_near,
  fast_near,
  long_handed_near,
  smart_near
})

if SIDE_INSERTERS then
data:extend(
{
  basic_left_near,
  basic_right_near,
  burner_left_near,
  burner_right_near,
  fast_left_near,
  fast_right_near,
  long_handed_left_near,
  long_handed_right_near,
  smart_left_near,
  smart_right_near
})
end