data:extend(
{
  -- ************************************************************
  -- Basic Inserters
  -- ************************************************************
  {
    type = "item",
    name = "basic-inserter-near",
    icon = "__Near Inserters__/graphics/icons/basic-inserter-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "b[basic-inserter]c",
    place_result = "basic-inserter-near",
    stack_size = 1000
  },
  
  -- ************************************************************
  -- Burner Inserters
  -- ************************************************************
  {
    type = "item",
    name = "burner-inserter-near",
    icon = "__Near Inserters__/graphics/icons/burner-inserter-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "a[burner-inserter]c",
    place_result = "burner-inserter-near",
    stack_size = 1000
  },
  
  -- ************************************************************
  -- Fast Inserters
  -- ************************************************************
  {
    type = "item",
    name = "fast-inserter-near",
    icon = "__Near Inserters__/graphics/icons/fast-inserter-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "d[fast-inserter]c",
    place_result = "fast-inserter-near",
    stack_size = 1000
  },
  
  -- ************************************************************
  -- Long-Handed Inserters
  -- ************************************************************
  {
    type = "item",
    name = "long-handed-inserter-near",
    icon = "__Near Inserters__/graphics/icons/long-handed-inserter-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "c[long-handed-inserter]c",
    place_result = "long-handed-inserter-near",
    stack_size = 1000
  },
  
  -- ************************************************************
  -- Smart Inserters
  -- ************************************************************
  {
    type = "item",
    name = "smart-inserter-near",
    icon = "__Near Inserters__/graphics/icons/smart-inserter-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "f[inserter]-e[smart-inserter]c",
    place_result = "smart-inserter-near",
    stack_size = 1000
  }
})

if SIDE_INSERTERS then

data.raw["item"]["basic-inserter"].subgroup = "basic-inserters"
data.raw["item"]["basic-inserter-near"].subgroup = "basic-inserters"
data.raw["item"]["basic-inserter-left"].subgroup = "basic-inserters"
data.raw["item"]["basic-inserter-right"].subgroup = "basic-inserters"
data.raw["item"]["burner-inserter"].subgroup = "burner-inserters"
data.raw["item"]["burner-inserter-near"].subgroup = "burner-inserters"
data.raw["item"]["burner-inserter-left"].subgroup = "burner-inserters"
data.raw["item"]["burner-inserter-right"].subgroup = "burner-inserters"
data.raw["item"]["fast-inserter"].subgroup = "fast-inserters"
data.raw["item"]["fast-inserter-near"].subgroup = "fast-inserters"
data.raw["item"]["fast-inserter-left"].subgroup = "fast-inserters"
data.raw["item"]["fast-inserter-right"].subgroup = "fast-inserters"
data.raw["item"]["long-handed-inserter"].subgroup = "long-handed-inserters"
data.raw["item"]["long-handed-inserter-near"].subgroup = "long-handed-inserters"
data.raw["item"]["long-handed-inserter-left"].subgroup = "long-handed-inserters"
data.raw["item"]["long-handed-inserter-right"].subgroup = "long-handed-inserters"
data.raw["item"]["smart-inserter"].subgroup = "smart-inserters"
data.raw["item"]["smart-inserter-near"].subgroup = "smart-inserters"
data.raw["item"]["smart-inserter-left"].subgroup = "smart-inserters"
data.raw["item"]["smart-inserter-right"].subgroup = "smart-inserters"

data:extend(
{
  -- ************************************************************
  -- Basic Inserters
  -- ************************************************************
  {
    type = "item",
    name = "basic-inserter-left-near",
    icon = "__Near Inserters__/graphics/icons/basic-inserter-left-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "basic-inserters",
    order = "b[basic-inserter]d",
    place_result = "basic-inserter-left-near",
    stack_size = 1000
  },
  {
    type = "item",
    name = "basic-inserter-right-near",
    icon = "__Near Inserters__/graphics/icons/basic-inserter-right-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "basic-inserters",
    order = "b[basic-inserter]e",
    place_result = "basic-inserter-right-near",
    stack_size = 1000
  },
  
  -- ************************************************************
  -- Burner Inserters
  -- ************************************************************
  {
    type = "item",
    name = "burner-inserter-left-near",
    icon = "__Near Inserters__/graphics/icons/burner-inserter-left-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "burner-inserters",
    order = "a[burner-inserter]d",
    place_result = "burner-inserter-left-near",
    stack_size = 1000
  },
  {
    type = "item",
    name = "burner-inserter-right-near",
    icon = "__Near Inserters__/graphics/icons/burner-inserter-right-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "burner-inserters",
    order = "a[burner-inserter]e",
    place_result = "burner-inserter-right-near",
    stack_size = 1000
  },
  
  -- ************************************************************
  -- Fast Inserters
  -- ************************************************************
  {
    type = "item",
    name = "fast-inserter-left-near",
    icon = "__Near Inserters__/graphics/icons/fast-inserter-left-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "fast-inserters",
    order = "d[fast-inserter]d",
    place_result = "fast-inserter-left-near",
    stack_size = 1000
  },
  {
    type = "item",
    name = "fast-inserter-right-near",
    icon = "__Near Inserters__/graphics/icons/fast-inserter-right-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "fast-inserters",
    order = "d[fast-inserter]e",
    place_result = "fast-inserter-right-near",
    stack_size = 1000
  },
  
  -- ************************************************************
  -- Long-Handed Inserters
  -- ************************************************************
  {
    type = "item",
    name = "long-handed-inserter-left-near",
    icon = "__Near Inserters__/graphics/icons/long-handed-inserter-left-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "long-handed-inserters",
    order = "c[long-handed-inserter]d",
    place_result = "long-handed-inserter-left-near",
    stack_size = 1000
  },
  {
    type = "item",
    name = "long-handed-inserter-right-near",
    icon = "__Near Inserters__/graphics/icons/long-handed-inserter-right-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "long-handed-inserters",
    order = "c[long-handed-inserter]e",
    place_result = "long-handed-inserter-right-near",
    stack_size = 1000
  },
  
  -- ************************************************************
  -- Smart Inserters
  -- ************************************************************
  {
    type = "item",
    name = "smart-inserter-left-near",
    icon = "__Near Inserters__/graphics/icons/smart-inserter-left-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "smart-inserters",
    order = "f[inserter]-e[smart-inserter]d",
    place_result = "smart-inserter-left-near",
    stack_size = 1000
  },
  {
    type = "item",
    name = "smart-inserter-right-near",
    icon = "__Near Inserters__/graphics/icons/smart-inserter-right-near.png",
    flags = {"goes-to-quickbar"},
    subgroup = "smart-inserters",
    order = "f[inserter]-e[smart-inserter]e",
    place_result = "smart-inserter-right-near",
    stack_size = 1000
  }
})

end