data:extend(
{
  -- ************************************************************
  -- Basic Inserters
  -- ************************************************************
  {
    type = "recipe",
    name = "basic-inserter-near",
    enabled = "true",
    energy_required = 0.5,
    ingredients =
    {
      {"basic-inserter", 1}
    },
    result = "basic-inserter-near"
  },
  
  -- ************************************************************
  -- Burner Inserters
  -- ************************************************************
  {
    type = "recipe",
    name = "burner-inserter-near",
    enabled = "true",
    energy_required = 0.5,
    ingredients =
    {
      {"burner-inserter", 1}
    },
    result = "burner-inserter-near"
  },
  
  -- ************************************************************
  -- Fast Inserters
  -- ************************************************************
  {
    type = "recipe",
    name = "fast-inserter-near",
    enabled = "false",
    energy_required = 0.5,
    ingredients =
    {
      {"fast-inserter", 1}
    },
    result = "fast-inserter-near"
  },
  
  -- ************************************************************
  -- Long-Handed Inserters
  -- ************************************************************
  {
    type = "recipe",
    name = "long-handed-inserter-near",
    enabled = "false",
    energy_required = 0.5,
    ingredients =
    {
      {"long-handed-inserter", 1}
    },
    result = "long-handed-inserter-near"
  },
  
  -- ************************************************************
  -- Smart Inserters
  -- ************************************************************
  {
    type = "recipe",
    name = "smart-inserter-near",
    enabled = "false",
    energy_required = 0.5,
    ingredients =
    {
      {"smart-inserter", 1}
    },
    result = "smart-inserter-near"
  }
})

if SIDE_INSERTERS then
data:extend(
{
  -- ************************************************************
  -- Basic Inserters
  -- ************************************************************
  {
    type = "recipe",
    name = "basic-inserter-left-near",
    enabled = "true",
    energy_required = 0.5,
    ingredients =
    {
      {"basic-inserter", 1}
    },
    result = "basic-inserter-left-near"
  },
  {
    type = "recipe",
    name = "basic-inserter-right-near",
    enabled = "true",
    energy_required = 0.5,
    ingredients =
    {
      {"basic-inserter", 1}
    },
    result = "basic-inserter-right-near"
  },
  
  -- ************************************************************
  -- Burner Inserters
  -- ************************************************************
  {
    type = "recipe",
    name = "burner-inserter-left-near",
    enabled = "true",
    energy_required = 0.5,
    ingredients =
    {
      {"burner-inserter", 1}
    },
    result = "burner-inserter-left-near"
  },
  {
    type = "recipe",
    name = "burner-inserter-right-near",
    enabled = "true",
    energy_required = 0.5,
    ingredients =
    {
      {"burner-inserter", 1}
    },
    result = "burner-inserter-right-near"
  },
  
  -- ************************************************************
  -- Fast Inserters
  -- ************************************************************
  {
    type = "recipe",
    name = "fast-inserter-left-near",
    enabled = "false",
    energy_required = 0.5,
    ingredients =
    {
      {"fast-inserter", 1}
    },
    result = "fast-inserter-left-near"
  },
  {
    type = "recipe",
    name = "fast-inserter-right-near",
    enabled = "false",
    energy_required = 0.5,
    ingredients =
    {
      {"fast-inserter", 1}
    },
    result = "fast-inserter-right-near"
  },
  
  -- ************************************************************
  -- Long-Handed Inserters
  -- ************************************************************
  {
    type = "recipe",
    name = "long-handed-inserter-left-near",
    enabled = "false",
    energy_required = 0.5,
    ingredients =
    {
      {"long-handed-inserter", 1}
    },
    result = "long-handed-inserter-left-near"
  },
  {
    type = "recipe",
    name = "long-handed-inserter-right-near",
    enabled = "false",
    energy_required = 0.5,
    ingredients =
    {
      {"long-handed-inserter", 1}
    },
    result = "long-handed-inserter-right-near"
  },
  
  -- ************************************************************
  -- Smart Inserters
  -- ************************************************************
  {
    type = "recipe",
    name = "smart-inserter-left-near",
    enabled = "false",
    energy_required = 0.5,
    ingredients =
    {
      {"smart-inserter", 1}
    },
    result = "smart-inserter-left-near"
  },
  {
    type = "recipe",
    name = "smart-inserter-right-near",
    enabled = "false",
    energy_required = 0.5,
    ingredients =
    {
      {"smart-inserter", 1}
    },
    result = "smart-inserter-right-near"
  }
})
end